FreeBSD : php5 -- multiple vulnerabilities (cdff0af2-1492-11e5-a1cf-002590263bf5)

High Nessus Plugin ID 84326


The remote FreeBSD host is missing one or more security-related updates.


The PHP project reports :

DOM and GD :

- Fixed bug #69719 (Incorrect handling of paths with NULs).


- Improved fix for bug #69545 (Integer overflow in ftp_genlist() resulting in heap overflow). (CVE-2015-4643)

Postgres :

- Fixed bug #69667 (segfault in php_pgsql_meta_data). (CVE-2015-4644)


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 84326

File Name: freebsd_pkg_cdff0af2149211e5a1cf002590263bf5.nasl

Version: $Revision: 2.6 $

Type: local

Published: 2015/06/23

Modified: 2016/10/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P


Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:php5-dom, p-cpe:/a:freebsd:freebsd:php5-ftp, p-cpe:/a:freebsd:freebsd:php5-gd, p-cpe:/a:freebsd:freebsd:php5-pgsql, p-cpe:/a:freebsd:freebsd:php55-dom, p-cpe:/a:freebsd:freebsd:php55-ftp, p-cpe:/a:freebsd:freebsd:php55-gd, p-cpe:/a:freebsd:freebsd:php55-pgsql, p-cpe:/a:freebsd:freebsd:php56-dom, p-cpe:/a:freebsd:freebsd:php56-ftp, p-cpe:/a:freebsd:freebsd:php56-gd, p-cpe:/a:freebsd:freebsd:php56-psql, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/06/23

Vulnerability Publication Date: 2015/06/11

Reference Information

CVE: CVE-2015-4643, CVE-2015-4644